# Semaphore.h File Reference

`#include "ace/ACE_export.h"`
`#include "ace/OS_NS_Thread.h"`
`#include "ace/Semaphore.inl"`

Include dependency graph for Semaphore.h:

This graph shows which files directly or indirectly include this file:

## Classes

class | ACE_Semaphore
| Wrapper for Dijkstra style general semaphores. More...

## Detailed Description

Id
  Semaphore.h,v 4.4 2006/01/26 11:33:15 jwillemsen Exp

Moved from Synch.h.

Author:
  Douglas C. Schmidt <schmidt@cs.wustl.edu>